
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Cell-spacing dialog                             }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}

unit SpacingRVFrm;

interface

{$I RichViewActions.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, BaseRVFrm, FourSidesRVFrm, ExtCtrls, StdCtrls, RVSpinEdit, RVALocalize;

type
  TfrmRVSpacing = class(TfrmRVFourSides)
    Label5: TLabel;
    Label6: TLabel;
    Bevel1: TBevel;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Localize; override;
  end;

implementation

uses RichViewactions;

{$R *.dfm}

{ TfrmRVSpacing }

procedure TfrmRVSpacing.Localize;
begin
  inherited;
  if RVA_UserInterface=rvauiRTF then begin
    lblLeft.Visible := False;
    seLeft.Visible := False;
  end;

  Caption := {$IFDEF USERVTNT}_GetWideString{$ENDIF}(RVA_GetS(rvam_cs_Title));
  gb.Caption := RVA_GetSH(rvam_cs_GB);
  Label5.Caption := RVA_GetS(rvam_cs_BetweenCells);
  Label6.Caption := RVA_GetS(rvam_cs_FromTableToCell);
  lblTop.Caption := RVA_GetS(rvam_cs_Horz1);
  lblBottom.Caption := RVA_GetS(rvam_cs_Vert1);
  lblLeft.Caption := RVA_GetS(rvam_cs_Horz2);
  lblRight.Caption := RVA_GetS(rvam_cs_Vert2);
end;

end.
